<?php
// no direct access
defined('_JEXEC') or die('Restricted access');

class modEDocmanSearchHelper
{
    function categoryList($categoryId) {
    	$user = & JFactory::getUser() ;
    	$db = JFactory::getDbo() ;
    	$query = $db->getQuery(true) ;
    	$query->select('id, title, parent_id') ;
    	$query->from('#__edocman_categories');
    	$query->where('published=1') ;
    	$query->where('access IN ('.implode(',', $user->getAuthorisedViewLevels()).')');
    	$db->setQuery($query) ;
    	$rows = $db->loadObjectList() ;    	
    	$children = array();
    	// first pass - collect children
    	if (count($rows)) {
    		foreach ($rows as $v )
    		{
    			$pt = $v->parent_id ;
    			$list = @$children[$pt] ? $children[$pt] : array();
    			array_push( $list, $v );
    			$children[$pt] = $list;
    		}
    	}
    	$list = JHtml::_('menu.treerecurse', 0, '', array(), $children, 9999);
    	$options = array() ;
    	$options[] = JHtml::_('select.option', 0, JText::_('EDOCMAN_SELECT_CATEGORY'));
    	if (count($list)) {
    		foreach ($list as $row) {
    			$options[] = JHtml::_('select.option', $row->id, $row->treename) ;
    		}
    	}
    	
    	return JHtml::_('select.genericlist', $options, 'search_category_id', array(
    			'option.text.toHtml' => false ,
    			'list.attr' => 'class="inputbox edocman_search_category"  ',
    			'option.text' => 'text' ,
    			'option.key' => 'value',
    			'list.select' => (int) $categoryId
    	)) ;    	
	}
}